<?php
// $Id: formatters.inc,v 1.1.2.2 2009/09/03 07:56:38 swentel Exp $

/**
 * @file
 * Node display formatters.
 */

function theme_nd_bodyfield_teaser(&$node) {
  $node->body_rendered = '<div class="field-body">'. $node->teaser .'</div>';
}

function theme_nd_bodyfield_full(&$node) {
  $node->body_rendered = '<div class="field-body">'. check_markup($node->body, $node->format, FALSE) .'</div>';
}

function theme_nd_title_link(&$node) {
  $node->title_rendered = '<div class="field-title"><h2>'. l($node->title, 'node/'. $node->nid) .'</h2></div>';
}

function theme_nd_title_nolink(&$node) {
  $node->title_rendered = '<div class="field-title"><h2>'. check_plain($node->title) .'</h2></div>';
}

function theme_nd_author_link(&$node) {
  $node->author_rendered = '<div class="field-author">'. theme('username', $node) .'</div>';
}

function theme_nd_author_nolink(&$node) {
  $node->author_rendered = '<div class="field-author">'. $node->name .'</div>';
}